# API

## [reactiveForm](ReactiveForm.md)
A higher order component which connects form with react component.

## [Field](Field.md)
A subscription based higher order component which connects a control with react component.

## [Abstract Control](AbstractControl.md)
Base class for [FormControl](FormControl.md), [FormGroup](FormGroup.md), and [FormArray](FormArray.md).

## [Abstract Control Options](AbstractControlOptions.md)
Options to configure your Controls.

## [Form Control](FormControl.md)
Tracks the value and validation status of an individual form control.

## [Form Group](FormGroup.md)
Tracks the value and validity state of a `group` of [FormControl](FormControl.md) instances.

## [Form Array](FormArray.md)
Tracks the value and validity state of an array of [FormControl](FormControl.md), [FormGroup](FormGroup.md) 
or [FormArray](FormArray.md) instances.

## [Form Builder](FormBuilder.md)
Creates an [AbstractControl](AbstractControl.md) from a user-specified configuration.

## [Validators](Validators.md)
Provides a set of validators used by form controls.

## [Props](Props.md)
The props that `reactive-form` generates to give to your form component.
